#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/bleachbit

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	find po -name "*.mo" -delete

execute_after_dh_auto_install:
	make -C po install DESTDIR=$(CURDIR)/debian/bleachbit
	# Remove Windows-specific modules
	rm -f $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit/Winapp.py
	rm -f $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit/Windows.py
	rm -f $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit/WindowsWipe.py

override_dh_install:
	# Do not install Windows-specific cleaners
	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. $(shell grep -L os=.linux. cleaners/*.xml) | xargs ls)))
	# Automatically generate .desktop file to invoke BleachBit as superuser
	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
		s/TryExec=bleachbit/TryExec=pkexec/; \
		s/Exec=bleachbit/Exec=pkexec bleachbit/" \
		org.bleachbit.BleachBit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop

execute_after_dh_fixperms:
	chmod +x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit.py
	chmod -x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/app-menu.ui
